Bug 592753 - [abrt] crash in awn-extras-applets-0.4.0-5.fc12: weather.py:394:activate_map_cb:AttributeError: WeatherApplet instance has no attribute 'map_dialog'
[abrt] crash in awn-extras-applets-0.4.0-5.fc12: weather.py:394:activate_map_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:ea2d82cf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 13:29 EDT by Alex
Modified: 2010-05-28 14:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: awn-extras-applets-0.4.0-11.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 13:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (496 bytes, text/plain)
2010-05-16 13:29 EDT, Alex
no flags Details

  None (edit)
Description Alex 2010-05-16 13:29:48 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/avant-window-navigator/applets/weather/weather.py --uid=1273330667 --window=73400368 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/weather/weather.py
kernel: 2.6.32.11-99.fc12.i686.PAE
package: awn-extras-applets-0.4.0-5.fc12
reason: weather.py:394:activate_map_cb:AttributeError: WeatherApplet instance has no attribute 'map_dialog'
release: Fedora release 12 (Constantine)

backtrace
-----
weather.py:394:activate_map_cb:AttributeError: WeatherApplet instance has no attribute 'map_dialog'

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/weather/weather.py", line 394, in activate_map_cb
    self.map_dialog.show_all()
AttributeError: WeatherApplet instance has no attribute 'map_dialog'

Local variables in innermost frame:
widget: <gtk.MenuItem object at 0x97d0d9c (GtkMenuItem at 0x9829a18)>
self: <__main__.WeatherApplet instance at 0x97b1e0c>
Comment 1 Alex 2010-05-16 13:29:50 EDT
Created attachment 414385 [details]
File: backtrace
Comment 2 leigh scott 2010-05-16 14:46:32 EDT
Bug forwarded to https://bugs.launchpad.net/awn-extras/+bug/581414
Comment 3 Fedora Update System 2010-05-27 22:28:08 EDT
awn-extras-applets-0.4.0-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-11.fc13
Comment 4 Fedora Update System 2010-05-27 22:35:18 EDT
awn-extras-applets-0.4.0-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-11.fc12
Comment 5 Fedora Update System 2010-05-28 13:54:11 EDT
awn-extras-applets-0.4.0-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-05-28 14:10:23 EDT
awn-extras-applets-0.4.0-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.